--- dbdimp.c.orig	Sun Sep 12 13:26:17 2004
+++ dbdimp.c	Sun Sep 12 13:29:12 2004
@@ -97,6 +97,12 @@
     free(err);
 }
 
+static void
+pg_notice(void *arg, const char *message)
+{
+    warn("%s", message);
+}
+
 static int
 pgtype_bind_ok (dbtype)
     int dbtype;
@@ -182,6 +188,9 @@
     /* make a connection to the database */
     imp_dbh->conn = PQconnectdb(conn_str);
     free(conn_str);
+
+    /* install notice processor */
+    PQsetNoticeProcessor(imp_dbh->conn, pg_notice, imp_dbh->conn);
 
     /* check to see that the backend connection was successfully made */
     if (PQstatus(imp_dbh->conn) != CONNECTION_OK) {
